> ## Documentation Index
> Fetch the complete documentation index at: https://zeropath.com/docs/llms.txt
> Use this file to discover all available pages before exploring further.

# List packages for an SCA manifest

> Retrieve deduplicated dependency records for a specific manifest.



## OpenAPI

````yaml https://zeropath.com/openapi/v1.yaml post /api/v1/sca/manifests/packages/search
openapi: 3.1.0
info:
  title: ZeroPath API
  version: 1.0.0
  description: Public API for ZeroPath
servers:
  - url: https://zeropath.com
    description: Production server
    x-fern-server-name: Production
  - url: https://dev.branch.zeropath.com
    description: Development server
    x-fern-server-name: Development
security:
  - apiTokenId: []
    apiTokenSecret: []
tags:
  - name: Organizations
    description: Operations related to organizations
  - name: Stats
    description: Operations related to stats
  - name: Repositories
    description: Operations related to repositories
  - name: Installations
    description: Operations related to installations
  - name: Issues
    description: Operations related to issues
  - name: SCA
    description: Software Composition Analysis
  - name: Scans
    description: Operations related to scans
  - name: Rules
    description: Operations related to custom security rules
  - name: Referrals
    description: Operations related to referrals
paths:
  /api/v1/sca/manifests/packages/search:
    post:
      tags:
        - SCA
      summary: List packages for an SCA manifest
      description: Retrieve deduplicated dependency records for a specific manifest.
      requestBody:
        content:
          application/json:
            schema:
              $ref: '#/components/schemas/ListScaManifestPackagesInput'
      responses:
        '200':
          description: Successful response
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ScaManifestPackageListResponse'
        '400':
          $ref: '#/components/responses/BadRequest'
        '401':
          $ref: '#/components/responses/Unauthorized'
components:
  schemas:
    ListScaManifestPackagesInput:
      type: object
      properties:
        organizationId:
          type: string
        manifestId:
          type: string
        offset:
          type: integer
          minimum: 0
          default: 0
        limit:
          type: integer
          minimum: 1
          maximum: 100
          default: 25
        searchQuery:
          type: string
        hasVulnerabilities:
          type: boolean
        transitivity:
          type: string
          enum:
            - direct
            - transitive
        packageType:
          type: string
          enum:
            - public
            - private
        ecosystems:
          type: array
          items:
            type: string
        sortBy:
          type: string
          enum:
            - name
            - vulnerabilities
          default: name
      required:
        - manifestId
    ScaManifestPackageListResponse:
      type: object
      properties:
        packages:
          type: array
          items:
            $ref: '#/components/schemas/ScaManifestPackage'
        totalCount:
          type: integer
        hasMore:
          type: boolean
      required:
        - packages
        - totalCount
        - hasMore
    ScaManifestPackage:
      type: object
      properties:
        id:
          type: string
        name:
          type: string
        version:
          type:
            - string
            - 'null'
        ecosystem:
          type: string
        isDirectDependency:
          type: boolean
        hasTransitivePaths:
          type: boolean
        pathCount:
          type: integer
        manifestStartLine:
          type:
            - integer
            - 'null'
        manifestEndLine:
          type:
            - integer
            - 'null'
        isPrivate:
          type: boolean
        licenses:
          type: array
          items:
            $ref: '#/components/schemas/ScaManifestPackageLicense'
        vulnerabilityCount:
          type: integer
        codeScanVulnerabilityId:
          type:
            - string
            - 'null'
        allInstanceIds:
          type: array
          items:
            type: string
        repositoryId:
          type: string
        repositoryName:
          type: string
        manifestPath:
          type: string
        branch:
          type:
            - string
            - 'null'
        commitSha:
          type:
            - string
            - 'null'
      required:
        - id
        - name
        - ecosystem
        - isDirectDependency
        - hasTransitivePaths
        - pathCount
        - isPrivate
        - licenses
        - vulnerabilityCount
        - allInstanceIds
        - repositoryId
        - repositoryName
        - manifestPath
    ScaManifestPackageLicense:
      type: object
      properties:
        name:
          type: string
      required:
        - name
  responses:
    BadRequest:
      description: Bad Request
      content:
        application/json:
          schema:
            type: object
            properties:
              error:
                type: string
    Unauthorized:
      description: Unauthorized
      content:
        application/json:
          schema:
            type: object
            properties:
              error:
                type: string
  securitySchemes:
    apiTokenId:
      type: apiKey
      in: header
      name: X-ZeroPath-API-Token-Id
      x-fern-header:
        name: apiTokenId
        env: ZEROPATH_API_TOKEN_ID
    apiTokenSecret:
      type: apiKey
      in: header
      name: X-ZeroPath-API-Token-Secret
      x-fern-header:
        name: apiTokenSecret
        env: ZEROPATH_API_TOKEN_SECRET

````